summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorpaul <paul@7b491191-dbf0-0310-aff6-d879d4d69008>2006-10-27 14:52:59 +0000
committerpaul <paul@7b491191-dbf0-0310-aff6-d879d4d69008>2006-10-27 14:52:59 +0000
commitb1064ac08a777b5408f0fd9d4a34c62c7934fed9 (patch)
tree353b08ef7d897a017a03a0cd693d9cb64b50c2c0 /debian
parent8ba88344c5aca70740cc4ea9b5e7a4e86486ecfd (diff)
merging git tree
git-svn-id: https://svn.ic-s.nl/svn/dbmail/branches/dbmail_2_2_branch@2333 7b491191-dbf0-0310-aff6-d879d4d69008
Diffstat (limited to 'debian')
-rw-r--r--debian/control1
-rwxr-xr-xdebian/dbmail-ldap.config71
-rwxr-xr-xdebian/dbmail-ldap.postinst109
-rw-r--r--debian/dbmail-ldap.templates46
-rwxr-xr-xdebian/dbmail-mysql.config7
-rwxr-xr-xdebian/dbmail-mysql.postinst61
-rw-r--r--debian/dbmail-mysql.templates3
-rw-r--r--debian/dbmail-pgsql.config7
-rw-r--r--debian/dbmail-pgsql.postinst62
-rw-r--r--debian/dbmail-pgsql.templates3
-rwxr-xr-xdebian/dbmail-sieve.config102
-rw-r--r--debian/dbmail-sqlite.config7
-rw-r--r--debian/dbmail-sqlite.postinst62
-rw-r--r--debian/dbmail-sqlite.templates4
-rw-r--r--debian/dbmail.config30
-rw-r--r--debian/dbmail.postinst77
-rw-r--r--debian/dbmail.preinst30
-rw-r--r--debian/dbmail.templates37
-rw-r--r--debian/po/cs.po63
-rw-r--r--debian/po/de.po63
-rw-r--r--debian/po/es.po63
-rw-r--r--debian/po/fr.po63
-rw-r--r--debian/po/it.po63
-rw-r--r--debian/po/ja.po63
-rw-r--r--debian/po/nl.po63
-rw-r--r--debian/po/pt_BR.po63
-rw-r--r--debian/po/templates.1po211
-rw-r--r--debian/po/templates.pot62
-rwxr-xr-xdebian/rules9
29 files changed, 1228 insertions, 277 deletions
diff --git a/debian/control b/debian/control
index 48a3b831..ddf98512 100644
--- a/debian/control
+++ b/debian/control
@@ -9,6 +9,7 @@ Package: dbmail
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf (>=1.4.70) | debconf-2.0 , ucf (>= 0.30)
Provides: imap-server, pop3-server
+Suggests: dbmail-sqlite | dbmail-pgsql | dbmail-mysql, dbmail-ldap, dbmail-sieve
Description: base package for the dbmail email solution
DBMAIL is a collection of programs that allows email to be
stored in and retrieved from a sql database.
diff --git a/debian/dbmail-ldap.config b/debian/dbmail-ldap.config
new file mode 100755
index 00000000..9802a44a
--- /dev/null
+++ b/debian/dbmail-ldap.config
@@ -0,0 +1,71 @@
+#!/bin/sh -e
+
+CONFIGFILE=/etc/dbmail/dbmail.conf
+DEBIANCONF=/etc/default/dbmail
+MAILNAMEFILE=/etc/mailname
+
+. /usr/share/debconf/confmodule
+
+read_config() {
+ for line in `grep -E '^[^#$]' $CONFIGFILE|awk -F'#' '{print $1}'`; do
+ NEWSECTION=`echo $line|grep '^\['|sed 's/\(\[\)\(.*\)\(\]\)/\2/'`
+ if [ -n "$NEWSECTION" ]; then
+ SECTION=`echo $NEWSECTION|tr '[A-Z]' '[a-z]'`
+ else
+ key=`echo $line|cut -f1 -d'='`
+ val=`echo $line|cut -f2- -d'='`
+ if [ -n "$val" ]; then
+ eval "db_set dbmail/$SECTION/$key \"$val\"" || true
+ fi
+ fi
+ done
+}
+
+init_config() {
+ if [ -e $CONFIGFILE ]; then
+ read_config
+ fi
+}
+
+db_capb backup
+
+STATE=1
+LASTSTATE=3
+while [ 1 ]; do
+
+ [ "$STATE" = "0" ] && break
+ [ "$STATE" = "$LASTSTATE" ] && break
+
+ case "$STATE" in
+ 1)
+ db_get dbmail/do_debconf
+ if [ "$RET" = "false" ]; then
+ break
+ fi
+ init_config
+ db_set dbmail/authdriver "ldap"
+ db_input medium dbmail/ldap/HOSTNAME || true
+ db_input medium dbmail/ldap/PORT || true
+ db_input medium dbmail/ldap/BASE_DN || true
+ db_input low dbmail/ldap/FIELD_UID || true
+ db_input low dbmail/ldap/FIELD_CID || true
+ db_input medium dbmail/ldap/bind_anonymous || true
+ ;;
+ 2)
+ db_get dbmail/ldap/bind_anonymous
+ if [ "$RET" = "true" ]; then
+ break
+ fi
+ db_input medium dbmail/ldap/BIND_DN || true
+ db_input medium dbmail/ldap/BIND_PW || true
+ ;;
+ esac
+
+ if db_go; then
+ STATE=$(($STATE+1))
+ else
+ STATE=$(($STATE-1))
+ fi
+done
+
+exit 0
diff --git a/debian/dbmail-ldap.postinst b/debian/dbmail-ldap.postinst
new file mode 100755
index 00000000..550d46c5
--- /dev/null
+++ b/debian/dbmail-ldap.postinst
@@ -0,0 +1,109 @@
+#!/bin/sh -e
+
+CONFIG=/etc/dbmail/dbmail.conf
+CONFIG_EX=/usr/share/doc/dbmail/examples/dbmail.conf
+
+DEBIAN_CONFIG=/etc/default/dbmail
+DEBIAN_CONFIG_EX=/usr/share/doc/dbmail/examples/default.dbmail
+
+test $DEBIAN_SCRIPT_DEBUG && set -v -x
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+
+case "$1" in
+ install)
+ ;;
+ upgrade)
+ ;;
+ configure)
+
+ . /usr/share/debconf/confmodule
+ db_get dbmail/do_debconf || true; DO_DEBCONF=$RET
+
+ if [ "$DO_DEBCONF" = "true" ]; then
+ # fetch debconf values
+ db_get dbmail/ldap/HOSTNAME || true; LDAP_HOST=$RET
+ db_get dbmail/ldap/PORT || true; LDAP_PORT=$RET
+ db_get dbmail/ldap/BASE_DN || true; LDAP_BASE_DN=$RET
+ db_get dbmail/ldap/BIND_DN || true; LDAP_BIND_DN=$RET
+ db_get dbmail/ldap/BIND_PW || true; LDAP_BIND_PW=$RET
+ db_get dbmail/ldap/bind_anonymous || true; LDAP_BIND_ANONYMOUS=$RET
+ db_get dbmail/ldap/FIELD_UID || true; LDAP_UID=$RET
+ db_get dbmail/ldap/FIELD_CID || true; LDAP_CID=$RET
+
+ if [ -z "$LDAP_BASE_DN" ]; then
+ # For the domain really.argh.org we create the basedn
+ # dc=really,dc=argh,dc=org with the dc entry dc: really
+ db_get slapd/domain && SLAPD_DOMAIN=$RET
+ if [ -n "$SLAPD_DOMAIN" ]; then
+ LDAP_BASE_DN="dc=`echo $SLAPD_DOMAIN|sed 's/\./,dc=/g'`"
+ fi
+ fi
+
+ if [ -n "$LDAP_BASE_DN" ] && [ -z "$LDAP_BIND_DN" ] && [ "$LDAP_BIND_ANONYMOUS" = "false" ]; then
+ LDAP_BIND_DN="cn=dbmail,$LDAP_BASE_DN";
+ db_set dbmail/ldap/BIND_DN "$LDAP_BIND_DN"
+ if [ -x /usr/bin/pwgen ]; then
+ LDAP_BIND_PW=`pwgen -n`
+ db_set dbmail/ldap/BIND_PW "$LDAP_BIND_PW"
+ fi
+ fi
+
+ if [ -z $LDAP_UID ]; then
+ LDAP_UID="uid"
+ fi
+
+ if [ -z $LDAP_CID ]; then
+ LDAP_CID="gidNumber"
+ fi
+ fi
+
+ # protect the config-file
+ oldmask=`umask`
+ umask 026
+
+ if [ "$DO_DEBCONF" = "true" -a -e $CONFIG ]; then
+ # edit the configs
+
+ sed -i -re "s/^BASE_DN\W*=.*\$/BASE_DN=$LDAP_BASE_DN/i" \
+ -e "s/^HOSTNAME\W*=.*\$/HOSTNAME=$LDAP_HOST/i" \
+ -e "s/^BIND_PW\W*=.*\$/BIND_PW=$LDAP_BIND_PW/i" \
+ -e "s/^BIND_DN\W*=.*\$/BIND_DN=$LDAP_BIND_DN/i" \
+ -e "s/^FIELD_UID\W*=.*\$/FIELD_UID=$LDAP_UID/i" \
+ -e "s/^FIELD_CID\W*=.*\$/FIELD_CID=$LDAP_CID/i" \
+ -e "s/^authdriver\W*=\W*\$/authdriver=ldap/" \
+ $CONFIG
+
+ umask $oldmask
+ fi
+
+ db_stop
+
+ ;;
+ abort-upgrade)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+
+
+exit 0
diff --git a/debian/dbmail-ldap.templates b/debian/dbmail-ldap.templates
new file mode 100644
index 00000000..796e9389
--- /dev/null
+++ b/debian/dbmail-ldap.templates
@@ -0,0 +1,46 @@
+Template: dbmail/authdriver
+Type: string
+Description: Which auth driver to use:
+
+Template: dbmail/ldap/PORT
+Type: string
+Description: The port is your ldap server runnig at:
+ Please enter the port on which your ldap server is running at.
+ The default port is 389.
+
+Template: dbmail/ldap/HOSTNAME
+Type: string
+Description: The hostname of the ldap server:
+ Please enter the hostname your ldap server is running at.
+
+Template: dbmail/ldap/BASE_DN
+Type: string
+Description: The ldap base DN:
+ Please enter the DN where Dbmail should start searching for
+ user accounts.
+
+Template: dbmail/ldap/FIELD_UID
+Type: string
+Description: The field which contains the user login name of the user:
+
+Template: dbmail/ldap/FIELD_CID
+Type: string
+Description: The field which contains the group id number of the user:
+
+Template: dbmail/ldap/bind_anonymous
+Type: boolean
+Description: Bind anonymous to the ldap server
+ Select Yes if your ldap does not require authentication to search
+ the ldap tree.
+
+Template: dbmail/ldap/BIND_DN
+Type: string
+Description: The DN to bind to the ldap server
+ Please enter the DN, which should be used to connect to the ldap
+ server.
+
+Template: dbmail/ldap/BIND_PW
+Type: password
+Description: The password to bind to the ldap server
+ Please enter the password, which should be used to connect to the ldap
+ server.
diff --git a/debian/dbmail-mysql.config b/debian/dbmail-mysql.config
new file mode 100755
index 00000000..af3b093f
--- /dev/null
+++ b/debian/dbmail-mysql.config
@@ -0,0 +1,7 @@
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+db_set dbmail/mysql_installed "true"
+
+exit 0
diff --git a/debian/dbmail-mysql.postinst b/debian/dbmail-mysql.postinst
new file mode 100755
index 00000000..dddf9265
--- /dev/null
+++ b/debian/dbmail-mysql.postinst
@@ -0,0 +1,61 @@
+#!/bin/sh -e
+
+CONFIG=/etc/dbmail/dbmail.conf
+CONFIG_EX=/usr/share/doc/dbmail/examples/dbmail.conf
+
+DEBIAN_CONFIG=/etc/default/dbmail
+DEBIAN_CONFIG_EX=/usr/share/doc/dbmail/examples/default.dbmail
+
+test $DEBIAN_SCRIPT_DEBUG && set -v -x
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+
+case "$1" in
+ install)
+ ;;
+ upgrade)
+ ;;
+ configure)
+
+ . /usr/share/debconf/confmodule
+ db_get dbmail/do_debconf || true; DO_DEBCONF=$RET
+
+ # protect the config-file
+ oldmask=`umask`
+ umask 026
+
+ # edit the configs
+ # if driver is empty set it to mysql
+ [ -e $CONFIG ] && sed -i -re "s/^driver\W*=\W*\$/driver = mysql/i" $CONFIG
+ umask $oldmask
+
+ db_stop
+
+ ;;
+ abort-upgrade)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+
+
+exit 0
diff --git a/debian/dbmail-mysql.templates b/debian/dbmail-mysql.templates
new file mode 100644
index 00000000..7b6767af
--- /dev/null
+++ b/debian/dbmail-mysql.templates
@@ -0,0 +1,3 @@
+Template: dbmail/mysql_installed
+Type: boolean
+Description: mark mysql support as available
diff --git a/debian/dbmail-pgsql.config b/debian/dbmail-pgsql.config
new file mode 100644
index 00000000..a45de061
--- /dev/null
+++ b/debian/dbmail-pgsql.config
@@ -0,0 +1,7 @@
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+db_set dbmail/pgsql_installed "true"
+
+exit 0
diff --git a/debian/dbmail-pgsql.postinst b/debian/dbmail-pgsql.postinst
new file mode 100644
index 00000000..f12196ca
--- /dev/null
+++ b/debian/dbmail-pgsql.postinst
@@ -0,0 +1,62 @@
+#!/bin/sh -e
+
+CONFIG=/etc/dbmail/dbmail.conf
+CONFIG_EX=/usr/share/doc/dbmail/examples/dbmail.conf
+
+DEBIAN_CONFIG=/etc/default/dbmail
+DEBIAN_CONFIG_EX=/usr/share/doc/dbmail/examples/default.dbmail
+
+test $DEBIAN_SCRIPT_DEBUG && set -v -x
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+
+case "$1" in
+ install)
+ ;;
+ upgrade)
+ ;;
+ configure)
+
+ . /usr/share/debconf/confmodule
+ db_get dbmail/do_debconf || true; DO_DEBCONF=$RET
+
+ # protect the config-file
+ oldmask=`umask`
+ umask 026
+
+ # edit the configs
+ # if driver is empty set it to pgsql
+ [ -e $CONFIG ] && sed -i -re "s/^driver\W*=\W*\$/driver = pgsql/i" $CONFIG
+
+ umask $oldmask
+
+ db_stop
+
+ ;;
+ abort-upgrade)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/dbmail-pgsql.templates b/debian/dbmail-pgsql.templates
new file mode 100644
index 00000000..41ac3590
--- /dev/null
+++ b/debian/dbmail-pgsql.templates
@@ -0,0 +1,3 @@
+Template: dbmail/pgsql_installed
+Type: boolean
+Description: mark pgsql support as available
diff --git a/debian/dbmail-sieve.config b/debian/dbmail-sieve.config
new file mode 100755
index 00000000..acf02f7b
--- /dev/null
+++ b/debian/dbmail-sieve.config
@@ -0,0 +1,102 @@
+#!/bin/sh -e
+
+#export DEBCONF_DEBUG=developer
+CONFIGFILE=/etc/dbmail/dbmail.conf
+DEBIANCONF=/etc/default/dbmail
+MAILNAMEFILE=/etc/mailname
+
+. /usr/share/debconf/confmodule
+
+read_config() {
+ for line in `grep -E '^[^#$]' $CONFIGFILE|awk -F'#' '{print $1}'`; do
+ NEWSECTION=`echo $line|grep '^\['|sed 's/\(\[\)\(.*\)\(\]\)/\2/'`
+ if [ -n "$NEWSECTION" ]; then
+ SECTION=`echo $NEWSECTION|tr '[A-Z]' '[a-z]'`
+ else
+ key=`echo $line|cut -f1 -d'='`
+ val=`echo $line|cut -f2- -d'='`
+ if [ -n "$val" ]; then
+ eval "db_set dbmail/$SECTION/$key \"$val\"" || true
+ fi
+ fi
+ done
+
+ db_get dbmail/dbmail/postmaster
+ if [ -z $RET ]; then
+ get_hostname
+ db_set dbmail/dbmail/postmaster "postmaster@$HOSTNAME"
+ fi
+}
+
+get_hostname() {
+ HOSTNAME=localdomain
+ if [ -e $MAILNAMEFILE ]; then
+ HOSTNAME=`cat $MAILNAMEFILE`
+ else
+ HOSTNAME=`hostname --fqdn 2>/dev/null`
+ fi
+}
+
+init_config() {
+ if [ -e $CONFIGFILE ]; then
+ read_config
+ fi
+ if [ -e $DEBIANCONF ]; then
+ . $DEBIANCONF
+ # setup some defaults
+ db_set dbmail/start_imapd "false"
+ db_set dbmail/start_pop3d "false"
+ db_set dbmail/start_ssl "false"
+ db_set dbmail/pem_file "dbmail.pem"
+ # overwrite them with the values in the config file
+ [ "$START_IMAPD" ] && db_set dbmail/start_imapd "$START_IMAPD" || true
+ [ "$START_POP3D" ] && db_set dbmail/start_pop3d "$START_POP3D" || true
+ [ "$START_SSL" ] && db_set dbmail/start_ssl "$START_SSL" || true
+ [ "$PEM_FILE" ] && db_set dbmail/pem_file "$PEMFILE" || true
+ fi
+}
+
+db_capb backup
+
+STATE=1
+LASTSTATE=3
+while [ 1 ]; do
+
+ [ "$STATE" = "0" ] && break
+ [ "$STATE" = "$LASTSTATE" ] && break
+
+ case "$STATE" in
+ 1)
+ db_input medium dbmail/do_debconf || true
+ ;;
+ 2)
+ db_get dbmail/do_debconf
+ if [ "$RET" = "false" ]; then
+ break
+ fi
+ init_config
+ db_input medium dbmail/dbmail/host || true
+ db_input medium dbmail/dbmail/db || true
+ db_input medium dbmail/dbmail/user || true
+ db_input medium dbmail/dbmail/pass || true
+ db_input medium dbmail/dbmail/postmaster || true
+ db_input medium dbmail/start_imapd || true
+ db_input medium dbmail/start_pop3d || true
+ db_input medium dbmail/start_ssl || true
+ ;;
+ 3)
+ db_get dbmail/start_ssl
+ if [ "$RET" = "true" ]; then
+ db_input medium dbmail/pem_file || true
+ fi
+ ;;
+ esac
+ if db_go; then
+ STATE=$(($STATE+1))
+ else
+ STATE=$(($STATE-1))
+ fi
+done
+
+exit 0
+
diff --git a/debian/dbmail-sqlite.config b/debian/dbmail-sqlite.config
new file mode 100644
index 00000000..0e807083
--- /dev/null
+++ b/debian/dbmail-sqlite.config
@@ -0,0 +1,7 @@
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+db_set dbmail/sqlite_installed "true"
+
+exit 0
diff --git a/debian/dbmail-sqlite.postinst b/debian/dbmail-sqlite.postinst
new file mode 100644
index 00000000..44eeb497
--- /dev/null
+++ b/debian/dbmail-sqlite.postinst
@@ -0,0 +1,62 @@
+#!/bin/sh -e
+
+CONFIG=/etc/dbmail/dbmail.conf
+CONFIG_EX=/usr/share/doc/dbmail/examples/dbmail.conf
+
+DEBIAN_CONFIG=/etc/default/dbmail
+DEBIAN_CONFIG_EX=/usr/share/doc/dbmail/examples/default.dbmail
+
+test $DEBIAN_SCRIPT_DEBUG && set -v -x
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+
+case "$1" in
+ install)
+ ;;
+ upgrade)
+ ;;
+ configure)
+
+ . /usr/share/debconf/confmodule
+ db_get dbmail/do_debconf || true; DO_DEBCONF=$RET
+
+ # protect the config-file
+ oldmask=`umask`
+ umask 026
+
+ # edit the configs
+ # if driver is empty set it to sqlite
+ [ -e $CONFIG ] && sed -i -re "s/^driver\W*=\W*\$/driver = sqlite/i" $CONFIG
+
+ umask $oldmask
+
+ db_stop
+
+ ;;
+ abort-upgrade)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/dbmail-sqlite.templates b/debian/dbmail-sqlite.templates
new file mode 100644
index 00000000..d521f207
--- /dev/null
+++ b/debian/dbmail-sqlite.templates
@@ -0,0 +1,4 @@
+Template: dbmail/sqlite_installed
+Type: boolean
+Description: mark sqlite support as available
+
diff --git a/debian/dbmail.config b/debian/dbmail.config
index 75dc168d..61175985 100644
--- a/debian/dbmail.config
+++ b/debian/dbmail.config
@@ -3,6 +3,7 @@
#export DEBCONF_DEBUG=developer
CONFIGFILE=/etc/dbmail/dbmail.conf
DEBIANCONF=/etc/default/dbmail
+MAILNAMEFILE=/etc/mailname
. /usr/share/debconf/confmodule
@@ -13,25 +14,44 @@ read_config() {
SECTION=`echo $NEWSECTION|tr '[A-Z]' '[a-z]'`
else
key=`echo $line|cut -f1 -d'='`
- val=`echo $line|cut -f2 -d'='`
- eval "db_set dbmail/$SECTION/$key \"$val\"" || true
+ val=`echo $line|cut -f2- -d'='`
+ if [ -n "$val" ]; then
+ eval "db_set dbmail/$SECTION/$key \"$val\"" || true
+ fi
fi
done
}
+get_hostname() {
+ HOSTNAME=localdomain
+ if [ -e $MAILNAMEFILE ]; then
+ HOSTNAME=`cat $MAILNAMEFILE`
+ else
+ HOSTNAME=`hostname --fqdn 2>/dev/null`
+ fi
+}
+
init_config() {
if [ -e $CONFIGFILE ]; then
read_config
fi
+ db_get dbmail/dbmail/postmaster
+ if [ -z $RET ]; then
+ get_hostname
+ db_set dbmail/dbmail/postmaster "postmaster@$HOSTNAME"
+ fi
+
if [ -e $DEBIANCONF ]; then
. $DEBIANCONF
# setup some defaults
db_set dbmail/start_imapd "false"
+ db_set dbmail/start_lmtpd "false"
db_set dbmail/start_pop3d "false"
db_set dbmail/start_ssl "false"
db_set dbmail/pem_file "dbmail.pem"
# overwrite them with the values in the config file
[ "$START_IMAPD" ] && db_set dbmail/start_imapd "$START_IMAPD" || true
+ [ "$START_LMTPD" ] && db_set dbmail/start_lmtpd "$START_LMTPD" || true
[ "$START_POP3D" ] && db_set dbmail/start_pop3d "$START_POP3D" || true
[ "$START_SSL" ] && db_set dbmail/start_ssl "$START_SSL" || true
[ "$PEM_FILE" ] && db_set dbmail/pem_file "$PEMFILE" || true
@@ -57,12 +77,14 @@ while [ 1 ]; do
break
fi
init_config
- db_input medium dbmail/smtp/DBMAIL_FROM_ADDRESS || true
- db_input medium dbmail/smtp/POSTMASTER || true
+ # db_input medium dbmail/smtp/DBMAIL_FROM_ADDRESS || true
+ # db_input medium dbmail/smtp/POSTMASTER || true
db_input medium dbmail/dbmail/host || true
db_input medium dbmail/dbmail/db || true
db_input medium dbmail/dbmail/user || true
db_input medium dbmail/dbmail/pass || true
+ db_input medium dbmail/dbmail/postmaster || true
+ db_input medium dbmail/start_lmtpd || true
db_input medium dbmail/start_imapd || true
db_input medium dbmail/start_pop3d || true
db_input medium dbmail/start_ssl || true
diff --git a/debian/dbmail.postinst b/debian/dbmail.postinst
index 0e9be04a..50386e9e 100644
--- a/debian/dbmail.postinst
+++ b/debian/dbmail.postinst
@@ -42,15 +42,24 @@ case "$1" in
db_get dbmail/dbmail/db || true; DB_DATABASE=$RET
db_get dbmail/dbmail/user || true; DB_USER=$RET
db_get dbmail/dbmail/pass || true; DB_PASS=$RET
-
- db_get dbmail/smtp/DBMAIL_FROM_ADDRESS || true; DBMAIL_FROM_ADDRESS=$RET
- db_get dbmail/smtp/POSTMASTER || true; POSTMASTER=$RET
+ db_get dbmail/pgsql_installed || true; PGSQL_INSTALLED=$RET
+ db_get dbmail/mysql_installed || true; MYSQL_INSTALLED=$RET
+ db_get dbmail/sqlite_installed || true; SQLITE_INSTALLED=$RET
+
+ db_get dbmail/dbmail/postmaster || true; POSTMASTER=$RET
db_get dbmail/start_imapd || true; START_IMAPD=$RET
+ db_get dbmail/start_lmtpd || true; START_LMTPD=$RET
db_get dbmail/start_pop3d || true; START_POP3D=$RET
db_get dbmail/start_ssl || true; START_SSL=$RET
db_get dbmail/pem_file || true; PEM_FILE=$RET
+
+ if [ -z $DB_PASS ]; then
+ if [ -x /usr/bin/pwgen ]; then
+ DB_PASS=`pwgen -n`
+ fi
+ fi
fi
@@ -64,36 +73,50 @@ case "$1" in
ucf --debconf-ok $CONFIG_EX $CONFIG
ucf --debconf-ok $DEBIAN_CONFIG_EX $DEBIAN_CONFIG
- if [ "$DO_DEBCONF" = "true" ]; then
+ if [ "$DO_DEBCONF" = "true" -a -e $CONFIG -a -e $DEBIAN_CONFIG ]; then
# edit the configs
- cat $CONFIG | sed -re "s/^host=.*\$/host=$DB_HOST/" \
- -e "s/^user=.*\$/user=$DB_USER/" \
- -e "s/^pass=.*\$/pass=$DB_PASS/" \
- -e "s/^db=.*\$/db=$DB_DATABASE/" \
- -e "s/^DBMAIL_FROM_ADDRESS=.*\$/DBMAIL_FROM_ADDRESS=$DBMAIL_FROM_ADDRESS/" \
- -e "s/^POSTMASTER=.*\$/POSTMASTER=$POSTMASTER/" \
- -e "s/^EFFECTIVE_USER=\w+/EFFECTIVE_USER=dbmail/g" \
- -e "s/^EFFECTIVE_GROUP=\w+/EFFECTIVE_GROUP=dbmail/g" \
- > $CONFIG.tmp && mv $CONFIG.tmp $CONFIG
+ sed -i -re "s/^host\W*=.*\$/host=$DB_HOST/i" \
+ -e "s/^user\W*=.*\$/user=$DB_USER/i" \
+ -e "s/^pass\W*=.*\$/pass=$DB_PASS/i" \
+ -e "s/^db\W*=.*\$/db=$DB_DATABASE/i" \
+ -e "s/^#postmaster\W*=.*\$/postmaster=$POSTMASTER/i" \
+ -e "s/^postmaster\W*=.*\$/postmaster=$POSTMASTER/i" \
+ -e "s/^EFFECTIVE_USER\W*=.*\$/EFFECTIVE_USER=dbmail/gi" \
+ -e "s/^EFFECTIVE_GROUP\W*=.*\$/EFFECTIVE_GROUP=dbmail/gi" \
+ $CONFIG
+ # overwrite driver only if not empty
+ if [ $MYSQL_INSTALLED = "true" ]; then
+ sed -i -re "s/^driver\W*=\W*\$/driver=mysql/i" $CONFIG
+ elif [ $SQLITE_INSTALLED = "true" ]; then
+ sed -i -re "s/^driver\W*=\W*\$/driver=sqlite/i" $CONFIG
+ else
+ sed -i -re "s/^driver\W*=\W*\$/driver=pgsql/i" $CONFIG
+ fi
+
umask $oldmask
if [ "$START_IMAPD" = "true" ]; then
- perl -pi -e 's/^.*START_IMAPD=.*/START_IMAPD=true/' $DEBIAN_CONFIG
+ sed -i -re 's/^.*START_IMAPD=.*/START_IMAPD=true/i' $DEBIAN_CONFIG
+ else
+ sed -i -re 's/^.*START_IMAPD=.*/#START_IMAPD=true/i' $DEBIAN_CONFIG
+ fi
+ if [ "$START_LMTPD" = "true" ]; then
+ sed -i -re 's/^.*START_LMTPD=.*/START_LMTPD=true/i' $DEBIAN_CONFIG
else
- perl -pi -e 's/^.*START_IMAPD=.*/#START_IMAPD=true/' $DEBIAN_CONFIG
+ sed -i -re 's/^.*START_LMTPD=.*/#START_LMTPD=true/i' $DEBIAN_CONFIG
fi
if [ "$START_POP3D" = "true" ]; then
- perl -pi -e 's/^.*START_POP3D=.*/START_POP3D=true/' $DEBIAN_CONFIG
+ sed -i -re 's/^.*START_POP3D=.*/START_POP3D=true/i' $DEBIAN_CONFIG
else
- perl -pi -e 's/^.*START_POP3D=.*/#START_POP3D=true/' $DEBIAN_CONFIG
+ sed -i -re 's/^.*START_POP3D=.*/#START_POP3D=true/i' $DEBIAN_CONFIG
fi
if [ "$START_SSL" = "true" ]; then
- perl -pi -e 's/^.*START_SSL=.*/START_SSL=true/' $DEBIAN_CONFIG
- perl -pi -e "s/^.*PEM_FILE=.*\$/PEM_FILE=$PEM_FILE/" $DEBIAN_CONFIG
+ sed -i -re 's/^.*START_SSL=.*/START_SSL=true/i' $DEBIAN_CONFIG
+ sed -i -re "s/^.*PEM_FILE=.*\$/PEM_FILE=$PEM_FILE/i" $DEBIAN_CONFIG
else
- perl -pi -e 's/^.*START_SSL=.*/#START_SSL=true/' $DEBIAN_CONFIG
- perl -pi -e "s/^.*PEM_FILE=/#PEM_FILE=/" $DEBIAN_CONFIG
+ sed -i -re 's/^.*START_SSL=.*/#START_SSL=true/i' $DEBIAN_CONFIG
+ sed -i -re "s/^.*PEM_FILE=/#PEM_FILE=/i" $DEBIAN_CONFIG
fi
fi
@@ -111,6 +134,16 @@ case "$1" in
;;
esac
-#DEBHELPER#
+# Automatically added by dh_installinit
+if [ -x "/etc/init.d/dbmail" ]; then
+ update-rc.d dbmail defaults 25 >/dev/null
+ if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+ invoke-rc.d dbmail start || exit $?
+ else
+ /etc/init.d/dbmail start || exit $?
+ fi
+fi
+# End automatically added section
+
exit 0
diff --git a/debian/dbmail.preinst b/debian/dbmail.preinst
index 6d2f426d..9e3a12a4 100644
--- a/debian/dbmail.preinst
+++ b/debian/dbmail.preinst
@@ -1,20 +1,32 @@
#!/bin/sh
set -e
+
# summary of how this script can be called:
# * <new-preinst> install'
# * <new-preinst> install' <old-version>
# * <new-preinst> upgrade' <old-version>
# * <old-preinst> abort-upgrade' <new-version>
+
+create_user() {
+ # creating dbmail group if he isn't already there
+ getent group dbmail >/dev/null 2>&1 || \
+ addgroup --system dbmail >/dev/null 2>&1 || true
+
+ # creating dbmail user if he isn't already there
+ getent passwd dbmail >/dev/null 2>&1 || \
+ adduser \
+ --system \
+ --ingroup dbmail \
+ --home /dev/null \
+ --gecos "Dbmail SQL mailserver" \
+ --shell /bin/false \
+ dbmail >/dev/null 2>&1 || true
+ fi
+}
+
case "$1" in
- install|upgrade)
- # 1. create group if non-existant
- getent group dbmail >/dev/null 2>&1 ||\
- groupadd dbmail >/dev/null 2>&1 || true
- # 2. create user if non-existant
- getent passwd dbmail >/dev/null 2>&1 ||\
- useradd -g dbmail \
- -d /dev/null \
- -c "Dbmail SQL mailserver" dbmail 2>/dev/null || true
+ install|upgrade)
+ create_user
;;
configure)
;;
diff --git a/debian/dbmail.templates b/debian/dbmail.templates
index 3d8311fb..96dfacaf 100644
--- a/debian/dbmail.templates
+++ b/debian/dbmail.templates
@@ -1,6 +1,6 @@
Template: dbmail/do_debconf
Type: boolean
-_Description: Use debconf to manage dbmail configuration?
+Description: Use debconf to manage dbmail configuration?
Please confirm if you want to allow debconf to manage some parts of your
dbmail configuration. Notice that changes you make to dbmail.conf by hand
will NOT be overwritten should you later choose to re-run dpkg-reconfigure
@@ -8,7 +8,7 @@ _Description: Use debconf to manage dbmail configuration?
Template: dbmail/smtp/DBMAIL_FROM_ADDRESS
Type: string
-_Description: The email address where bounces come from:
+Description: The email address where bounces come from:
Here you must specify the address dbmail will use when sending bounce
messages.
.
@@ -16,7 +16,15 @@ _Description: The email address where bounces come from:
Template: dbmail/smtp/POSTMASTER
Type: string
-_Description: Postmaster's email address:
+Description: Postmaster's email address:
+ This should be a valid email address read by the person responsible for
+ this email server.
+ .
+ Example: postmaster@yourdomain.tld
+
+Template: dbmail/dbmail/postmaster
+Type: string
+Description: Postmaster's email address:
This should be a valid email address read by the person responsible for
this email server.
.
@@ -24,50 +32,55 @@ _Description: Postmaster's email address:
Template: dbmail/dbmail/host
Type: string
-_Description: The hostname of the sql database server:
+Description: The hostname of the sql database server:
On this server you must create a database to hold dbmail's tables. You
should grant full read/write permissions on this database to the dbmail
user.
Template: dbmail/dbmail/db
Type: string
-_Description: The name of the database:
+Description: The name of the database:
This is the name of the database that holds the dbmail tables.
.
If you're using sqlite, this should be the path to the database file.
Template: dbmail/dbmail/user
Type: string
-_Description: The database user:
+Description: The database user:
This is the username dbmail will use to connect to the database server.
Template: dbmail/dbmail/pass
Type: password
-_Description: The password for the database connection:
+Description: The password for the database connection:
This is the password dbmail will use to connect to the database server.
Template: dbmail/start_imapd
Type: boolean
-_Description: start the imap server after reboot?
+Description: start the imap server after reboot?
Dbmail supports both imap and pop3 services. You can choose to run either
one or both services.
+Template: dbmail/start_lmtpd
+Type: boolean
+Description: start the lmtp server after reboot?
+ This is only needed when you like to feed the email to Dbmail by LMTP.
+
Template: dbmail/start_pop3d
Type: boolean
-_Description: start the pop3 server after reboot?
+Description: start the pop3 server after reboot?
Dbmail support both imap and pop3 services. You can choose to run either
one or both services.
Template: dbmail/start_timsieved
Type: boolean
-_Description: start the timesieved after reboot?
+Description: start the timesieved after reboot?
Dbmail supports management of Sieve scripts through the timsieve protocol.
You can run dbmail-timsieved which allows management of the sieve scripts from
within clients that support this protocol such as kmail, squirrelmail, and others
Template: dbmail/start_ssl
Type: boolean
-_Description: Run the stunnel SSL wrapper from the init script?
+Description: Run the stunnel SSL wrapper from the init script?
The stunnel SSL wrapper allows you to provide secure imap and pop services
even though dbmail supports neither imaps nor pop3s (yet).
.
@@ -76,7 +89,7 @@ _Description: Run the stunnel SSL wrapper from the init script?
Template: dbmail/pem_file
Type: string
-_Description: The filename for the SSL pem file:
+Description: The filename for the SSL pem file:
To be able to run the stunnel SSL wrapper you need to generate a pem file
that should reside in /etc/ssl/certs/. Specify the filename here without
the directory name.
diff --git a/debian/po/cs.po b/debian/po/cs.po
index 147275e5..1db89747 100644
--- a/debian/po/cs.po
+++ b/debian/po/cs.po
@@ -4,7 +4,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail 1.2.11-1\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2005-05-08 17:38+0200\n"
"Last-Translator: Martin Sin <martin.sin@seznam.cz>\n"
"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
@@ -58,14 +58,14 @@ msgstr "Například: MAILER-DAEMON@vaše_doména.cz"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "Emailová adresa postmastera."
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -75,20 +75,20 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Například: postmaster@vaše_doména.cz"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr "Zadejte prosím jméno poÄítaÄe databázového serveru (my/pg)sql."
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -98,59 +98,59 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "Zadejte prosím jméno databáze, která se má použít."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr "Zadejte jméno databáze, která uchovává tabulky dbmailu."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
"Toto uživatelské jméno použije dbmail pro připojení k databázovému serveru."
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr "Zadejte prosím heslo pro připojení do databáze."
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr "Toto heslo použije dbmail pro připojení k databázovému serveru."
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "Spustit po restartu server POP3?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -161,14 +161,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "Spustit po restartu server POP3?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "Spustit po restartu server POP3?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
#, fuzzy
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
@@ -179,14 +192,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "Spustit po restartu server POP3?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -196,14 +209,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr "Přejete si spustit stunnel SSL wrapper z init skriptu?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -214,7 +227,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -224,14 +237,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr "Vložte prosím název souboru pro soubor SSL pem."
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -243,7 +256,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/de.po b/debian/po/de.po
index f4cd24cf..a5b553f5 100644
--- a/debian/po/de.po
+++ b/debian/po/de.po
@@ -15,7 +15,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail_1.2.5-1_templates\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2004-06-01 21:49+0200\n"
"Last-Translator: Erik Schanze <mail@erikschanze.de>\n"
"Language-Team: German <debian-l10n-german@lists.debian.org>\n"
@@ -70,14 +70,14 @@ msgstr "Beispiel: MAILER-DAEMON@yourdomain.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "Postmasters Emailadresse."
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -87,20 +87,20 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Beispiel: postmaster@yourdomain.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr "Bitte Rechnernamen des (My/Postgre)-SQL-Datenbank-Servers eingeben."
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -111,32 +111,32 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "Bitte Namen der Datenbank eingeben."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr "Dies ist der Name der Datenbank, die dbmails Tabellen aufnimmt."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
"Dies der Benutzername, den dbmail nutzen wird, um sich mit dem Datenbank-"
@@ -144,14 +144,14 @@ msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr "Bitte Passwort für die Datenbankverbindung eingeben."
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr ""
"Dies ist das Passwort, das dbmail nutzen wird, um sich mit dem Datenbank-"
@@ -159,14 +159,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "POP3-Server nach dem Neustart starten?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -177,14 +177,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "POP3-Server nach dem Neustart starten?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "POP3-Server nach dem Neustart starten?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
#, fuzzy
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
@@ -195,14 +208,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "POP3-Server nach dem Neustart starten?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -212,14 +225,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr "Wollen Sie den SSL-Wrapper stunnel durch ein init-Skript starten?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -230,7 +243,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -240,14 +253,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr "Bitte den Namen der SSL-PEM-Datei eingeben."
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -259,7 +272,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/es.po b/debian/po/es.po
index 48b24da4..28126954 100644
--- a/debian/po/es.po
+++ b/debian/po/es.po
@@ -27,7 +27,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2005-09-23 16:27+0100\n"
"Last-Translator: César Gómez Martín <cesar.gomez@gmail.com>\n"
"Language-Team: Debian l10n spanish <debian-l10n-spanish@lists.debian.org>\n"
@@ -85,14 +85,14 @@ msgstr "Ejemplo: DEMONIO-DE-CORREO@sudominio.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "Dirección de correo electrónico del gestor de correos."
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -102,13 +102,13 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Ejemplo: postmaster@sudominio.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr ""
@@ -117,7 +117,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -128,33 +128,33 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "Por favor, introduzca el nombre de la base de datos a usar."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr ""
"Este es el nombre de la base de datos que contiene las tablas de dbmail."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
"Este es el nombre de usuario que dbmail usará para conectarse con el "
@@ -162,7 +162,7 @@ msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr ""
@@ -170,7 +170,7 @@ msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr ""
"Este es la contraseña que dbmail usará para conectarse con el servidor de "
@@ -178,14 +178,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "¿Desea arrancar el servidor POP3 después de reiniciar?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -196,14 +196,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "¿Desea arrancar el servidor POP3 después de reiniciar?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "¿Desea arrancar el servidor POP3 después de reiniciar?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
#, fuzzy
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
@@ -214,14 +227,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "¿Desea arrancar el servidor POP3 después de reiniciar?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -231,14 +244,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr "¿Desea ejecutar el envoltorio stunnel SSL desde el guión de inicio?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -249,7 +262,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -259,7 +272,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr ""
@@ -268,7 +281,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -280,7 +293,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/fr.po b/debian/po/fr.po
index fb39659a..dc42e8fe 100644
--- a/debian/po/fr.po
+++ b/debian/po/fr.po
@@ -15,7 +15,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail 1.1-1\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2003-10-02 16:44+0100\n"
"Last-Translator: Christian Perrier <bubulle@debian.org>\n"
"Language-Team: French <debian-l10n-french@lists.debian.org>\n"
@@ -68,14 +68,14 @@ msgstr "Exemple : MAILER-DAEMON@votredomaine.eu"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "Adresse électronique de l'administrateur du courrier (« postmaster »)"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -85,20 +85,20 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Exemple : postmaster@votredomaine.eu"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr "Nom d'hôte du serveur de bases de données"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -109,33 +109,33 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "Nom de la base de données"
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr ""
"Il s'agit du nom de la base de données qui contiendra les tables de dbmail."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
"Il s'agit de l'identifiant qui sera utilisé lors des connexions au serveur "
@@ -143,14 +143,14 @@ msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr "Mot de passe du propriétaire de la base de données"
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr ""
"Il s'agit du mot de passe qui sera utilisé lors des connexions au serveur de "
@@ -158,14 +158,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "Faut-il lancer le serveur POP3 au démarrage ?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -176,14 +176,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "Faut-il lancer le serveur POP3 au démarrage ?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "Faut-il lancer le serveur POP3 au démarrage ?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
#, fuzzy
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
@@ -194,14 +207,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "Faut-il lancer le serveur POP3 au démarrage ?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -211,14 +224,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr "Faut-il lancer l'enveloppe stunnel SSL depuis le script de démarrage ?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -230,7 +243,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -240,14 +253,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr "Nom du fichier PEM pour SSL"
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -259,7 +272,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/it.po b/debian/po/it.po
index 744644c2..d1422dc3 100644
--- a/debian/po/it.po
+++ b/debian/po/it.po
@@ -15,7 +15,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail 1.1-1\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2003-09-13 09:50+0200\n"
"Last-Translator: Francesco Paolo Lovergine <frankie@debian.org>\n"
"Language-Team: Italian Localization <debian-l10n-italian@lists.debian.org>\n"
@@ -72,14 +72,14 @@ msgstr "Esempio: MAILER-DAEMON@yourdomain.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "Indirizzo email del Postmaster."
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid ""
"This should be a valid email address read by the person responsible for this "
@@ -90,20 +90,20 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Esempio: postmaster@yourdomain.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr "Inserisci l'hostname del server (my/pg)sql da usare."
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -114,47 +114,47 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "Inserisci il nome del database da usare."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "This is the name of the database that holds the dbmail tables."
msgstr "Questo è il nme del database che contiene le tabelle dbmail."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
"Questo è lo username che dbmail userà per connettersi al server di database."
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr "Inserisci la password per la connessione al database"
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "This is the password dbmail will use to connect to the database server."
msgstr ""
@@ -162,14 +162,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "faccio partire il server imap al boot?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -180,14 +180,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "faccio partire il server imap al boot?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "faccio partire il server imap al boot?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
"or both services."
@@ -197,14 +210,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "faccio partire il server imap al boot?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -214,14 +227,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr "Vuoi lanciare il wrapper SSL stunnel dallo script di init?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -233,7 +246,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -243,14 +256,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr "Inserisci il nome del file pem per SSL."
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
@@ -264,7 +277,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/ja.po b/debian/po/ja.po
index 0d24b8de..3fc823de 100644
--- a/debian/po/ja.po
+++ b/debian/po/ja.po
@@ -16,7 +16,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail 1.2.9-1\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2004-11-03 01:43+0900\n"
"Last-Translator: Hideki Yamane <henrich@samba.gr.jp>\n"
"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
@@ -70,14 +70,14 @@ msgstr "Îã: MAILER-DAEMON@yourdomain.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "postmaster ¤Î¥á¡¼¥ë¥¢¥É¥ì¥¹"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -87,20 +87,20 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Îã: postmaster@yourdomain.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr "(my/pg)sql ¥Ç¡¼¥¿¥Ù¡¼¥¹¥µ¡¼¥Ð¤Î¥Û¥¹¥È̾¤òÆþÎϤ·¤Æ¤¯¤À¤µ¤¤¡£"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -111,58 +111,58 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "ÍøÍѤ¹¤ë¥Ç¡¼¥¿¥Ù¡¼¥¹Ì¾¤òÆþÎϤ·¤Æ¤¯¤À¤µ¤¤¡£"
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr "¤³¤ì¤Ï dbmail ¤Î¥Æ¡¼¥Ö¥ë¤òÊÝ»ý¤¹¤ë¥Ç¡¼¥¿¥Ù¡¼¥¹Ì¾¤Ç¤¹¡£"
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr "¤³¤ì¤Ï dbmail ¤¬¥Ç¡¼¥¿¥Ù¡¼¥¹¥µ¡¼¥Ð¤ËÀܳ¤¹¤ë¤Î¤Ë»È¤¦¥æ¡¼¥¶Ì¾¤Ç¤¹¡£"
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr "¥Ç¡¼¥¿¥Ù¡¼¥¹Àܳ¤ËÍøÍѤ¹¤ë¥Ñ¥¹¥ï¡¼¥É¤òÆþÎϤ·¤Æ¤¯¤À¤µ¤¤¡£"
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr "¤³¤ì¤Ï¡¢dbmail ¤¬¥Ç¡¼¥¿¥Ù¡¼¥¹¥µ¡¼¥Ð¤ËÀܳ¤¹¤ë¤Î¤Ë»È¤¦¥Ñ¥¹¥ï¡¼¥É¤Ç¤¹¡£"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "ºÆµ¯Æ°¸å¤Ë POP3 ¥µ¡¼¥Ð¤òµ¯Æ°¤·¤Þ¤¹¤«?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -173,14 +173,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "ºÆµ¯Æ°¸å¤Ë POP3 ¥µ¡¼¥Ð¤òµ¯Æ°¤·¤Þ¤¹¤«?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "ºÆµ¯Æ°¸å¤Ë POP3 ¥µ¡¼¥Ð¤òµ¯Æ°¤·¤Þ¤¹¤«?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
#, fuzzy
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
@@ -191,14 +204,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "ºÆµ¯Æ°¸å¤Ë POP3 ¥µ¡¼¥Ð¤òµ¯Æ°¤·¤Þ¤¹¤«?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -208,14 +221,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr "µ¯Æ°¥¹¥¯¥ê¥×¥È¤Ç stunnel SSL ¥é¥Ã¥Ñ¡¼¤ò¸Æ¤Ó½Ð¤·¤Þ¤¹¤«?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -226,7 +239,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -236,14 +249,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr "SSL pem ¥Õ¥¡¥¤¥ë̾¤òÆþÎϤ·¤Æ¤¯¤À¤µ¤¤¡£"
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -255,7 +268,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/nl.po b/debian/po/nl.po
index b75ef291..5e5ca319 100644
--- a/debian/po/nl.po
+++ b/debian/po/nl.po
@@ -15,7 +15,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail 1.2.5-1\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2004-06-09 16:58+0100\n"
"Last-Translator: Luk Claes <luk.claes@ugent.be>\n"
"Language-Team: Debian l10n Dutch <debian-l10n-dutch@lists.debian.org>\n"
@@ -68,14 +68,14 @@ msgstr "Voorbeeld: MAILER-DAEMON@uwdomein.be"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "Het e-mailadres van de postbeheerder."
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -85,20 +85,20 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Voorbeeld: postmaster@uwdomein.be"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr "Geef de computernaam van de (my/pg)sql-databankserver."
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -109,32 +109,32 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "Wat is de naam van de databank?"
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr "Dit is de naam van de databank welke de dbmail-tabellen bevat."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
"Dit is de gebruikersnaam die dbmail zal gebruiken om met de databankserver "
@@ -142,14 +142,14 @@ msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr "Geef het wachtwoord voor de databank."
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr ""
"Dit is het wachtwoord dat dbmail zal gebruiken om met de databankserver te "
@@ -157,14 +157,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "De POP3-server starten na het heropstarten van de computer?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -175,14 +175,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "De POP3-server starten na het heropstarten van de computer?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "De POP3-server starten na het heropstarten van de computer?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
#, fuzzy
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
@@ -193,14 +206,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "De POP3-server starten na het heropstarten van de computer?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -210,14 +223,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr "Wilt u de stunnel-SSL-wrapper uitvoeren vanuit het init-script?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -228,7 +241,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -238,14 +251,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr "De bestandsnaam van het SSL-pem-bestand."
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -257,7 +270,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/pt_BR.po b/debian/po/pt_BR.po
index fe7501af..97f27319 100644
--- a/debian/po/pt_BR.po
+++ b/debian/po/pt_BR.po
@@ -16,7 +16,7 @@ msgid ""
msgstr ""
"Project-Id-Version: dbmail_1.2.1-1\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: 2003-11-02 16:42-0300\n"
"Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
"Language-Team: Debian-BR Project <debian-110n-portuguese@lists.debian.org>\n"
@@ -70,14 +70,14 @@ msgstr "Exemplo: MAILER-DAEMON@seudominio.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
#, fuzzy
msgid "Postmaster's email address:"
msgstr "Endereço de e-mail do postmaster."
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -87,13 +87,13 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr "Exemplo: postmaster@seudominio.tld"
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
#, fuzzy
msgid "The hostname of the sql database server:"
msgstr ""
@@ -102,7 +102,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -113,14 +113,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
#, fuzzy
msgid "The name of the database:"
msgstr "Por favor informe o nome da base de dados a ser usada."
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr ""
"Este deverá ser o nome da base de dados que armazenará as tabelas do "
@@ -128,19 +128,19 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
"Este deverá ser o nome do usuário que o dbmail irá usar para se conectar "
@@ -148,14 +148,14 @@ msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
#, fuzzy
msgid "The password for the database connection:"
msgstr "Por favor informe a senha para a conexão com a base de daodos"
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr ""
"Esta deverá ser a senha que o dbmail irá usar para a conexão com o "
@@ -163,14 +163,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid "start the imap server after reboot?"
msgstr "Iniciar o servidor POP3 após reinicializações ?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
#, fuzzy
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
@@ -181,14 +181,27 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+#, fuzzy
+msgid "start the lmtp server after reboot?"
+msgstr "Iniciar o servidor POP3 após reinicializações ?"
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
#, fuzzy
msgid "start the pop3 server after reboot?"
msgstr "Iniciar o servidor POP3 após reinicializações ?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
#, fuzzy
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
@@ -199,14 +212,14 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
#, fuzzy
msgid "start the timesieved after reboot?"
msgstr "Iniciar o servidor POP3 após reinicializações ?"
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -216,7 +229,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr ""
@@ -225,7 +238,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
#, fuzzy
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
@@ -236,7 +249,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -246,14 +259,14 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
#, fuzzy
msgid "The filename for the SSL pem file:"
msgstr "Por favor informe o nome do arquivo pem SSL."
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -265,7 +278,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/po/templates.1po b/debian/po/templates.1po
new file mode 100644
index 00000000..a86245a7
--- /dev/null
+++ b/debian/po/templates.1po
@@ -0,0 +1,211 @@
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:3
+msgid "Use debconf to manage dbmail configuration?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:3
+msgid ""
+"Please confirm if you want to allow debconf to manage some parts of your "
+"dbmail configuration. Notice that changes you make to dbmail.conf by hand "
+"will NOT be overwritten should you later choose to re-run dpkg-reconfigure "
+"dbmail."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:11
+msgid "The email address where bounces come from:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:11
+msgid ""
+"Here you must specify the address dbmail will use when sending bounce "
+"messages."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:11
+msgid "Example: MAILER-DAEMON@yourdomain.tld"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:27
+msgid "Postmaster's email address:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:27
+msgid ""
+"This should be a valid email address read by the person responsible for this "
+"email server."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:27
+msgid "Example: postmaster@yourdomain.tld"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:35
+msgid "The hostname of the sql database server:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:35
+msgid ""
+"On this server you must create a database to hold dbmail's tables. You "
+"should grant full read/write permissions on this database to the dbmail user."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:42
+msgid "The name of the database:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:42
+msgid "This is the name of the database that holds the dbmail tables."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:42
+msgid "If you're using sqlite, this should be the path to the database file."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:49
+msgid "The database user:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:49
+msgid "This is the username dbmail will use to connect to the database server."
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../dbmail.templates:54
+msgid "The password for the database connection:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../dbmail.templates:54
+msgid "This is the password dbmail will use to connect to the database server."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:59
+msgid "start the imap server after reboot?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:59
+msgid ""
+"Dbmail supports both imap and pop3 services. You can choose to run either "
+"one or both services."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "start the lmtp server after reboot?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
+msgid "start the pop3 server after reboot?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
+msgid ""
+"Dbmail support both imap and pop3 services. You can choose to run either one "
+"or both services."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:76
+msgid "start the timesieved after reboot?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:76
+msgid ""
+"Dbmail supports management of Sieve scripts through the timsieve protocol. "
+"You can run dbmail-timsieved which allows management of the sieve scripts "
+"from within clients that support this protocol such as kmail, squirrelmail, "
+"and others"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:83
+msgid "Run the stunnel SSL wrapper from the init script?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:83
+msgid ""
+"The stunnel SSL wrapper allows you to provide secure imap and pop services "
+"even though dbmail supports neither imaps nor pop3s (yet)."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:83
+msgid ""
+"Make sure you have installed stunnel which is provided by a separate package "
+"if you want to use this feature."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:92
+msgid "The filename for the SSL pem file:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:92
+msgid ""
+"To be able to run the stunnel SSL wrapper you need to generate a pem file "
+"that should reside in /etc/ssl/certs/. Specify the filename here without "
+"the directory name."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../dbmail.templates:92
+msgid ""
+"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
+msgstr ""
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
index 27300f67..43bdaec5 100644
--- a/debian/po/templates.pot
+++ b/debian/po/templates.pot
@@ -8,7 +8,7 @@ msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: paul@nfg.nl\n"
-"POT-Creation-Date: 2006-05-29 16:01+0200\n"
+"POT-Creation-Date: 2006-10-15 10:58+0000\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
@@ -54,13 +54,13 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Postmaster's email address:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid ""
"This should be a valid email address read by the person responsible for this "
"email server."
@@ -68,19 +68,19 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:19
+#: ../dbmail.templates:27
msgid "Example: postmaster@yourdomain.tld"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid "The hostname of the sql database server:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:27
+#: ../dbmail.templates:35
msgid ""
"On this server you must create a database to hold dbmail's tables. You "
"should grant full read/write permissions on this database to the dbmail user."
@@ -88,55 +88,55 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "The name of the database:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "This is the name of the database that holds the dbmail tables."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:34
+#: ../dbmail.templates:42
msgid "If you're using sqlite, this should be the path to the database file."
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "The database user:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:41
+#: ../dbmail.templates:49
msgid "This is the username dbmail will use to connect to the database server."
msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "The password for the database connection:"
msgstr ""
#. Type: password
#. Description
-#: ../dbmail.templates:46
+#: ../dbmail.templates:54
msgid "This is the password dbmail will use to connect to the database server."
msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
msgid "start the imap server after reboot?"
msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:51
+#: ../dbmail.templates:59
msgid ""
"Dbmail supports both imap and pop3 services. You can choose to run either "
"one or both services."
@@ -144,13 +144,25 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:65
+msgid "start the lmtp server after reboot?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:65
+msgid "This is only needed when you like to feed the email to Dbmail by LMTP."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../dbmail.templates:70
msgid "start the pop3 server after reboot?"
msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:57
+#: ../dbmail.templates:70
msgid ""
"Dbmail support both imap and pop3 services. You can choose to run either one "
"or both services."
@@ -158,13 +170,13 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid "start the timesieved after reboot?"
msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:63
+#: ../dbmail.templates:76
msgid ""
"Dbmail supports management of Sieve scripts through the timsieve protocol. "
"You can run dbmail-timsieved which allows management of the sieve scripts "
@@ -174,13 +186,13 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid "Run the stunnel SSL wrapper from the init script?"
msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"The stunnel SSL wrapper allows you to provide secure imap and pop services "
"even though dbmail supports neither imaps nor pop3s (yet)."
@@ -188,7 +200,7 @@ msgstr ""
#. Type: boolean
#. Description
-#: ../dbmail.templates:70
+#: ../dbmail.templates:83
msgid ""
"Make sure you have installed stunnel which is provided by a separate package "
"if you want to use this feature."
@@ -196,13 +208,13 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid "The filename for the SSL pem file:"
msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"To be able to run the stunnel SSL wrapper you need to generate a pem file "
"that should reside in /etc/ssl/certs/. Specify the filename here without "
@@ -211,7 +223,7 @@ msgstr ""
#. Type: string
#. Description
-#: ../dbmail.templates:79
+#: ../dbmail.templates:92
msgid ""
"Read /usr/share/doc/stunnel/README.Debian on how to generate such a file."
msgstr ""
diff --git a/debian/rules b/debian/rules
index 3c4dec57..f293be83 100755
--- a/debian/rules
+++ b/debian/rules
@@ -149,14 +149,13 @@ binary-common: build
dh_installdocs -A debian/README.Debian debian/TODO
dh_installchangelogs -a
## update examples
- tmpfile=`tempfile`
(cd $(CURDIR) && find sql/mysql/ -type f && cat debian/dbmail-mysql.examples) | \
- sort|uniq>$$tmpfile && cat $$tmpfile > $(CURDIR)/debian/dbmail-mysql.examples
+ sort|uniq>stamps/tmpfile && cat stamps/tmpfile > $(CURDIR)/debian/dbmail-mysql.examples
(cd $(CURDIR) && find sql/sqlite/ -type f && cat debian/dbmail-sqlite.examples) | \
- sort|uniq>$$tmpfile && cat $$tmpfile > $(CURDIR)/debian/dbmail-sqlite.examples
+ sort|uniq>stamps/tmpfile && cat stamps/tmpfile > $(CURDIR)/debian/dbmail-sqlite.examples
(cd $(CURDIR) && find sql/postgresql/ -type f && cat debian/dbmail-pgsql.examples) | \
- sort|uniq>$$tmpfile && cat $$tmpfile > $(CURDIR)/debian/dbmail-pgsql.examples
- rm -f $$tmpfile
+ sort|uniq>stamps/tmpfile && cat stamps/tmpfile > $(CURDIR)/debian/dbmail-pgsql.examples
+ rm -f stamps/tmpfile
dh_installexamples -a
dh_installdirs -A etc/dbmail var/run/dbmail var/log/dbmail
dh_strip -a